Fetch Agent Conversations
curl --request GET \
--url https://api.chat-dash.com/v1/public/agents/{agentId}/conversations \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/agents/{agentId}/conversations"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/agents/{agentId}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chat-dash.com/v1/public/agents/{agentId}/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chat-dash.com/v1/public/agents/{agentId}/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chat-dash.com/v1/public/agents/{agentId}/conversations")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chat-dash.com/v1/public/agents/{agentId}/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body[
{
"_id": "<string>",
"agentId": "<string>",
"platformId": "<string>",
"leadId": "<string>",
"campaignId": "<string>",
"name": "<string>",
"read": false,
"endedAt": "2023-11-07T05:31:56Z",
"browser": "<string>",
"device": "<string>",
"os": "<string>",
"countryCode": "<string>",
"ipAddress": "<string>",
"record": false,
"interacted": false,
"channel": "<string>",
"phone": "<string>",
"phoneSecondary": "<string>",
"instagramId": "<string>",
"instagramUsername": "<string>",
"cost": 123,
"duration": 123,
"url": "<string>",
"endedReason": "<string>",
"noAnswer": true,
"status": "ai",
"liveAgentName": "<string>",
"liveAgentId": "<string>",
"isLive": false,
"note": "<string>",
"topic": "<string>",
"subtopic": "<string>",
"summary": "<string>",
"evaluation": {
"isSuccess": true,
"reason": "<string>"
},
"mistunderstoodQueries": [
{
"question": "<string>"
}
],
"customAnalysis": {},
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]This response has no body data.Conversations
Fetch Agent Conversations
Fetch conversations for a agent with optional filtering. By default, conversations that have the ‘record’ and ‘interacted’ fields set to true will be returned (i.e. conversations that are being recorded and have user interaction).
GET
/
agents
/
{agentId}
/
conversations
Fetch Agent Conversations
curl --request GET \
--url https://api.chat-dash.com/v1/public/agents/{agentId}/conversations \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/agents/{agentId}/conversations"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/agents/{agentId}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chat-dash.com/v1/public/agents/{agentId}/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chat-dash.com/v1/public/agents/{agentId}/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chat-dash.com/v1/public/agents/{agentId}/conversations")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chat-dash.com/v1/public/agents/{agentId}/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body[
{
"_id": "<string>",
"agentId": "<string>",
"platformId": "<string>",
"leadId": "<string>",
"campaignId": "<string>",
"name": "<string>",
"read": false,
"endedAt": "2023-11-07T05:31:56Z",
"browser": "<string>",
"device": "<string>",
"os": "<string>",
"countryCode": "<string>",
"ipAddress": "<string>",
"record": false,
"interacted": false,
"channel": "<string>",
"phone": "<string>",
"phoneSecondary": "<string>",
"instagramId": "<string>",
"instagramUsername": "<string>",
"cost": 123,
"duration": 123,
"url": "<string>",
"endedReason": "<string>",
"noAnswer": true,
"status": "ai",
"liveAgentName": "<string>",
"liveAgentId": "<string>",
"isLive": false,
"note": "<string>",
"topic": "<string>",
"subtopic": "<string>",
"summary": "<string>",
"evaluation": {
"isSuccess": true,
"reason": "<string>"
},
"mistunderstoodQueries": [
{
"question": "<string>"
}
],
"customAnalysis": {},
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]This response has no body data.Headers
Query Parameters
Response
OK
